# IEVMScriptRegistry

## interface IEVMScriptRegistry

Source: [contracts/evmscript/IEVMScriptRegistry.sol](https://github.com/aragon/aragonOS/blob/v4.4.0/contracts/evmscript/IEVMScriptRegistry.sol)

## Index

* [addScriptExecutor](#addscriptexecutor)
* [disableScriptExecutor](#disablescriptexecutor)
* [getScriptExecutor](#getscriptexecutor)

## Reference

### Functions

#### **addScriptExecutor** <a href="#addscriptexecutor" id="addscriptexecutor"></a>

` abstract function`` `` `**`addScriptExecutor`**`(IEVMScriptExecutor executor) external returns (uint)`

***

Parameters:

* `executor` - IEVMScriptExecutor

Returns:

* uint

#### **disableScriptExecutor** <a href="#disablescriptexecutor" id="disablescriptexecutor"></a>

` abstract function`` `` `**`disableScriptExecutor`**`(uint256 executorId) external`

***

Parameters:

* `executorId` - uint256

#### **getScriptExecutor** <a href="#getscriptexecutor" id="getscriptexecutor"></a>

` abstract function`` `` `**`getScriptExecutor`**`(bytes script) public view returns (IEVMScriptExecutor)`

***

Parameters:

* `script` - bytes

Returns:

* IEVMScriptExecutor


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://legacy-docs.aragon.org/developers/tools/aragonos/smart-contract-references/evmscript/ievmscriptregistry.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
